- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libcdr::CDRParserState Class Reference

`#include <CDRCollector.h>`

## Public Member Functions
| CDRParserState ()
| ~CDRParserState ()
unsigned | _getRGBColor (const CDRColor &color)
unsigned | getBMPColor (const CDRColor &color)
WPXString | getRGBColorString (const CDRColor &color)

## Public Attributes
std::map< unsigned, CDRFillStyle > | m_fillStyles
std::map< unsigned, CDRLineStyle > | m_lineStyles
std::map< unsigned, WPXBinaryData > | m_bmps
std::map< unsigned, CDRPattern > | m_patterns
cmsHTRANSFORM | m_colorTransformCMYK2RGB
cmsHTRANSFORM | m_colorTransformLab2RGB

## Private Member Functions
| CDRParserState (const CDRParserState &)
CDRParserState & | operator= (const CDRParserState &)

## Constructor & Destructor Documentation

libcdr::CDRParserState::CDRParserState | ( |  | ) |

libcdr::CDRParserState::~CDRParserState | ( |  | ) |

libcdr::CDRParserState::CDRParserState | ( | const CDRParserState & |  | ) |
| private

## Member Function Documentation

unsigned libcdr::CDRParserState::_getRGBColor | ( | const CDRColor & | color | ) |

unsigned libcdr::CDRParserState::getBMPColor | ( | const CDRColor & | color | ) |

WPXString libcdr::CDRParserState::getRGBColorString | ( | const CDRColor & | color | ) |

CDRParserState& libcdr::CDRParserState::operator= | ( | const CDRParserState & |  | ) |
| private

## Member Data Documentation

std::map<unsigned, WPXBinaryData> libcdr::CDRParserState::m_bmps

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformCMYK2RGB

Referenced by CDRParserState().

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformLab2RGB

Referenced by CDRParserState().

std::map<unsigned, CDRFillStyle> libcdr::CDRParserState::m_fillStyles

std::map<unsigned, CDRLineStyle> libcdr::CDRParserState::m_lineStyles

std::map<unsigned, CDRPattern> libcdr::CDRParserState::m_patterns

The documentation for this class was generated from the following files:

- CDRCollector.h
- CDRCollector.cpp